View Issue Details

IDProjectCategoryView StatusLast Update
0004609SymmetricDSBugpublic2020-11-20 00:38
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.12 
Target Version3.11.13Fixed in Version3.11.13 
Summary0004609: Postgres Conflict Resolution fails to resolve
DescriptionPostgres Conflict Resolution fails to resolve primary key constraint, unique index constraint, and foreign key constraint errors.
The integration tests are failing, and customers have reported the same thing.
Steps To ReproduceRun the integration tests for Postgres.
Additional InformationBecause of the functionality that adds "on conflict do nothing" to the insert statements, the knowledge of what type of constraint error is lost.
When the insert returns 0 rows inserted, we need to insert the same statement without the "on conflict do nothing" clause on a different connection and catch the exception so that we can notify the caller what type of conflict error occurred.
Tagsdialect: postgresql

Relationships

related to 0004610 closedpmarzullo Postgres Conflict Resolution fails to resolve 
related to 0004647 resolvedelong Postgres Conflict Resolution blocks when trying to resolve 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 a1dcd775

2020-10-29 16:43:50

pmarzullo

Details Diff
0004609: Postgres Conflict Resolution fails to resolve Affected Issues
0004609
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement95.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File
mod - symmetric-io/src/integrationTest/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterConflictTest.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

SymmetricDS: 3.12 e40411d9

2020-10-29 16:43:50

pmarzullo

Details Diff
0004609: Postgres Conflict Resolution fails to resolve
# Conflicts:
# symmetric-io/src/integrationTest/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterConflictTest.java
Affected Issues
0004609
mod - symmetric-db/src/main/java/org/jumpmind/db/platform/postgresql/PostgreSqlDmlStatement95.java Diff File
mod - symmetric-db/src/main/java/org/jumpmind/db/sql/DmlStatement.java Diff File
mod - symmetric-io/src/integrationTest/java/org/jumpmind/symmetric/io/data/writer/DatabaseWriterConflictTest.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriterConflictResolver.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File

SymmetricDS: 3.12 2e22ef90

2020-11-02 21:07:08

admin

Details Diff
0004609: Postgres Conflict Resolution fails to resolve Affected Issues
0004609
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriterConflictResolver.java Diff File

Issue History

Date Modified Username Field Change
2020-10-29 16:10 pmarzullo New Issue
2020-10-29 16:10 pmarzullo Status new => assigned
2020-10-29 16:10 pmarzullo Assigned To => pmarzullo
2020-10-29 16:10 pmarzullo Tag Attached: dialect: postgresql
2020-10-29 16:13 pmarzullo Relationship added related to 0004610
2020-10-29 17:02 pmarzullo Status assigned => resolved
2020-10-29 17:02 pmarzullo Resolution open => fixed
2020-10-29 17:02 pmarzullo Fixed in Version => 3.11.13
2020-10-29 19:00 pmarzullo Changeset attached => SymmetricDS 3.11 a1dcd775
2020-10-29 19:00 pmarzullo Changeset attached => SymmetricDS 3.12 e40411d9
2020-11-02 22:00 admin Changeset attached => SymmetricDS 3.12 2e22ef90
2020-11-09 15:15 admin Status resolved => closed
2020-11-20 00:38 elong Relationship added related to 0004647